Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface IStreamPacket

All Known Implementing Classes:
  AudioData, FlexMessage, FlexStreamSend, Invoke, Notify, VideoData

    public interface IStreamPacket

Packet containing stream data.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`IoBuffer` | `getData()` Packet contents.
`byte` | `getDataType()` Type of this packet.
`int` | `getTimestamp()` Timestamp of this packet.

Method Detail

### getDataType

    byte getDataType()

  Type of this packet. This is one of the `TYPE_` constants.

  Returns:
    the type

### getTimestamp

    int getTimestamp()

  Timestamp of this packet.

  Returns:
    the timestamp in milliseconds

### getData

    IoBuffer getData()

  Packet contents.

  Returns:
    the contents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project